kill @e[type=!minecraft:player]

# Credit
summon minecraft:armor_stand -19 0 0 {ShowArms:1b,NoGravity:1b,Invulnerable:1b,Rotation:[-90.0f,0.0f],NoBasePlate:1b,Marker:1b,ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:2039583}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:4144959}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:4144959}}},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"TotobirdCreation"}}],HandItems:[{id:"minecraft:command_block",Count:1b},{}]}
summon minecraft:armor_stand -19 2 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"TotobirdCreation\",\"color\":\"green\",\"bold\":true}"}

# Start
function map:nogame/countdown/update_start

# Parkour
summon minecraft:armor_stand 8.0 3 -15.0 {CustomNameVisible:1b,Invisible:1b,Invulnerable:1b,Marker:1b,NoGravity:1b,CustomName:"{\"text\":\"- Parkour Start -\",\"color\":\"light_purple\",\"bold\":true}"}
summon minecraft:armor_stand 11.0 16 16.0 {CustomNameVisible:1b,Invisible:1b,Invulnerable:1b,Marker:1b,NoGravity:1b,CustomName:"{\"text\":\"- Parkour Finish -\",\"color\":\"light_purple\",\"bold\":true}"}

# Tutorial / Objective
summon minecraft:armor_stand 14 3.125 -8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"- Objective -\",\"color\":\"light_purple\",\"bold\":true}"}
summon minecraft:armor_stand 14 2.75 -8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"Control the majority of the\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.5 -8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"board when there are no white\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.25 -8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"spaces remaining.\",\"color\":\"dark_purple\"}"}

# Tutorial / Turn
summon minecraft:armor_stand 14 3.125 -4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"- Turns -\",\"color\":\"light_purple\",\"bold\":true}"}
summon minecraft:armor_stand 14 2.75 -4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"On your turn, you may play one\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.5 -4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"of two pieces in your territory\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.25 -4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"or in an unclaimed area.\",\"color\":\"dark_purple\"}"}

# Tutorial / Contested
summon minecraft:armor_stand 14 3.125 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"- Contested -\",\"color\":\"light_purple\",\"bold\":true}"}
summon minecraft:armor_stand 14 2.75 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"If two pieces are trying to\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.5 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"control one spot, that place\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.25 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"becomes contested. Pieces\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.0 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"can not be played in contested\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 1.75 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"zones. If any piece is in a\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 1.5 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"contested zone, it will be\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 1.25 0 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"destroyed.\",\"color\":\"dark_purple\"}"}

# Tutorial / Line
summon minecraft:armor_stand 14 3.125 4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"- Line -\",\"color\":\"light_purple\",\"bold\":true}"}
summon minecraft:armor_stand 14 2.75 4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"If you have two line pieces\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.5 4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"orthogonally or diagonally to\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.25 4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"each other, all places in\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.0 4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"between them will be your\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 1.75 4 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"territory.\",\"color\":\"dark_purple\"}"}

# Tutorial / Dot
summon minecraft:armor_stand 14 3.125 8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"- Dot -\",\"color\":\"light_purple\",\"bold\":true}"}
summon minecraft:armor_stand 14 2.75 8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"The 4 spaces around this piece\",\"color\":\"dark_purple\"}"}
summon minecraft:armor_stand 14 2.5 8 {NoGravity:1b,Invisible:1b,Marker:1b,Invulnerable:1b,CustomNameVisible:1b,CustomName:"{\"text\":\"will be your territory.\",\"color\":\"dark_purple\"}"}
